Name:		highlight
Summary:	Universal source code to formatted text converter

Version:	4.8
Release:	%mkrel 1

Group:		Development/Tools
License:	GPLv3

URL:		http://www.andre-simon.de/
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(lua)
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils


%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%package gui
Summary:	GUI for the hihghlight source code formatter
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep
%setup -q

%build
%make_build
%make_build gui QMAKE=%{_qt5_bindir}/qmake


%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

%make_install install-gui

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install --vendor="" \
	--remove-category="Utility" \
	--remove-category="TextTools" \
	--add-category="Development" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/highlight.desktop
   
%files
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*
%{_mandir}/man5/filetypes.conf.5*

%config(noreplace) %{_sysconfdir}/highlight/

%files gui
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_iconsdir}/hicolor/*/apps/highlight.png
%{_datadir}/bash-completion/completions/highlight
%{_datadir}/fish/vendor_completions.d/highlight.fish
%{_datadir}/zsh/site-functions/_highlight

%post gui
%update_menus

%postun gui
%clean_menus

%changelog
* Thu Sep 21 2023 tex - 4.8-1pclos2023
- new version

* Fri Jan 01 2021 tex - 3.60-1pclos2021
- new version

* Mon May 18 2020 tex - 3.56-1pclos2020
- import from mga with adjustments for pclos
